Bug 9900 - Plugins should not be enabled by default
Summary: Plugins should not be enabled by default
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Kyle M Hall
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 13:23 UTC by Jared Camins-Esakov
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9900 - Plugins should not be enabled by default (2.75 KB, patch)
2013-03-22 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 9900 - Plugins should not be enabled by default (2.81 KB, patch)
2013-03-22 14:19 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[PASSED QA] Bug 9900 - Plugins should not be enabled by default (2.90 KB, patch)
2013-03-22 14:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-03-22 13:23:44 UTC
09:16 < oleonard> "UseKohaPlugins" is enabled by default?
09:17 < jcamins> oleonard: shouldn't be.
09:22 < oleonard> jcamins: Plugins are enabled by default. Just tested with a blank db

This is a problem.
Comment 1 Katrin Fischer 2013-03-22 13:34:23 UTC
It should be easy to fix, though. Just change the value in installer/data/mysql/sysprefs.sql from 1 to 0. And the feature is still disabled by the default setting in koha-conf.xml.
Comment 2 Magnus Enger 2013-03-22 13:36:36 UTC
Oops that last comment was from me,not from Katrin. (I'm borrowing her laptop...)
Comment 3 Kyle M Hall 2013-03-22 13:59:01 UTC Comment hidden (obsolete)
Comment 4 Dobrica Pavlinusic 2013-03-22 14:19:59 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-03-22 14:29:35 UTC
Created attachment 16795 [details] [review]
[PASSED QA] Bug 9900 - Plugins should not be enabled by default

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Simple changes, all ok.
Comment 6 Jared Camins-Esakov 2013-03-23 03:22:17 UTC
This patch has been pushed to master.